W3C Simple API for CSS (SAC) version 1.3 - Java API: Interface Condition

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS |
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.css.sac
Interface Condition

All Known Subinterfaces:
  AttributeCondition, CombinatorCondition, ContentCondition, LangCondition, NegativeCondition, PositionalCondition

public interface Condition

Version:
  $Revision: 1.8 $

Field Summary
`static short` | `SAC_AND_CONDITION` This condition checks exactly two conditions. example:
       .part1:lang(fr)
`static short` | `SAC_ATTRIBUTE_CONDITION` This condition checks an attribute. example:
       [simple]
       [restart="never"]
`static short` | `SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION` This condition checks if the value is in a hypen-separated list of values in a specified attribute. example:
       [languages|="fr"]
`static short` | `SAC_CLASS_CONDITION` This condition checks for a specified class. example:
       .example
`static short` | `SAC_CONTENT_CONDITION` This condition checks the content of a node.
`static short` | `SAC_ID_CONDITION` This condition checks an id attribute. example:
       #myId
`static short` | `SAC_LANG_CONDITION` This condition checks the language of the node. example:
       :lang(fr)
`static short` | `SAC_NEGATIVE_CONDITION` This condition checks that a condition can't be applied to a node.
`static short` | `SAC_ONE_OF_ATTRIBUTE_CONDITION` This condition checks for a value in a space-separated values in a specified attribute example:
       [values~="10"]
`static short` | `SAC_ONLY_CHILD_CONDITION` This condition checks if a node is the only one in the node list.
`static short` | `SAC_ONLY_TYPE_CONDITION` This condition checks if a node is the only one of his type.
`static short` | `SAC_OR_CONDITION` This condition checks one of two conditions.
`static short` | `SAC_POSITIONAL_CONDITION` This condition checks a specified position. example:
       :first-child
`static short` | `SAC_PSEUDO_CLASS_CONDITION` This condition checks for the link pseudo class. example:
       :link
       :visited
       :hover

Method Summary
`short` | `getConditionType()` An integer indicating the type of `Condition`.

Field Detail

### SAC_AND_CONDITION

    public static final short SAC_AND_CONDITION

  This condition checks exactly two conditions. example:

         .part1:lang(fr)

  See Also:
    `CombinatorCondition`

### SAC_ATTRIBUTE_CONDITION

    public static final short SAC_ATTRIBUTE_CONDITION

  This condition checks an attribute. example:

         [simple]
         [restart="never"]

  See Also:
    `AttributeCondition`

### SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION

    public static final short SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION

  This condition checks if the value is in a hypen-separated list of values in a specified attribute. example:

         [languages|="fr"]

  See Also:
    `AttributeCondition`

### SAC_CLASS_CONDITION

    public static final short SAC_CLASS_CONDITION

  This condition checks for a specified class. example:

         .example

  See Also:
    `AttributeCondition`

### SAC_CONTENT_CONDITION

    public static final short SAC_CONTENT_CONDITION

  This condition checks the content of a node.
  See Also:
    `ContentCondition`

### SAC_ID_CONDITION

    public static final short SAC_ID_CONDITION

  This condition checks an id attribute. example:

         #myId

  See Also:
    `AttributeCondition`

### SAC_LANG_CONDITION

    public static final short SAC_LANG_CONDITION

  This condition checks the language of the node. example:

         :lang(fr)

  See Also:
    `LangCondition`

### SAC_NEGATIVE_CONDITION

    public static final short SAC_NEGATIVE_CONDITION

  This condition checks that a condition can't be applied to a node.
  See Also:
    `NegativeCondition`

### SAC_ONE_OF_ATTRIBUTE_CONDITION

    public static final short SAC_ONE_OF_ATTRIBUTE_CONDITION

  This condition checks for a value in a space-separated values in a specified attribute example:

         [values~="10"]

  See Also:
    `AttributeCondition`

### SAC_ONLY_CHILD_CONDITION

    public static final short SAC_ONLY_CHILD_CONDITION

  This condition checks if a node is the only one in the node list.

### SAC_ONLY_TYPE_CONDITION

    public static final short SAC_ONLY_TYPE_CONDITION

  This condition checks if a node is the only one of his type.

### SAC_OR_CONDITION

    public static final short SAC_OR_CONDITION

  This condition checks one of two conditions.
  See Also:
    `CombinatorCondition`

### SAC_POSITIONAL_CONDITION

    public static final short SAC_POSITIONAL_CONDITION

  This condition checks a specified position. example:

         :first-child

  See Also:
    `PositionalCondition`

### SAC_PSEUDO_CLASS_CONDITION

    public static final short SAC_PSEUDO_CLASS_CONDITION

  This condition checks for the link pseudo class. example:

         :link
         :visited
         :hover

  See Also:
    `AttributeCondition`

Method Detail

### getConditionType

    public short getConditionType()

  An integer indicating the type of `Condition`.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS |
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 W3C® (MIT, INRIA, Keio), All Rights Reserved. W3C liability, trademark, document use and software licensing rules apply. Your interactions with this site are in accordance with our public and Member privacy statements.